## org.eclipse.m2m.atl.adt.ui.wizard.atlfile
Class AtlFileScreen

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.m2m.atl.adt.ui.wizard.atlfile.AtlFileScreen

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class AtlFileScreen

extends org.eclipse.jface.wizard.WizardPage

The ATL file wizard page.

Field Summary
`static java.lang.String` `TYPE_LIBRARY` The library file type.
`static java.lang.String` `TYPE_MODULE` The atl module file type.
`static java.lang.String` `TYPE_QUERY` The atl query file type.
`static java.lang.String` `TYPE_REFINING_MODULE` The atl module file type.
`static java.lang.String` `UNIT_NAME` ATL Module name.
`static java.lang.String` `UNIT_TYPE` ATL File type.

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`AtlFileScreen(org.eclipse.jface.viewers.ISelection selection)` Constructor.

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`boolean` `generateLaunchConfig()` Returns `true` if the generateLaunchConfig button is checked.
`java.util.Map<java.lang.String,java.lang.String>` `getInput()`
`java.util.Map<java.lang.String,java.lang.String>` `getLibraries()`
`java.util.Map<java.lang.String,java.lang.String>` `getOutput()`
`protected java.util.Map<java.lang.String,java.lang.String>` `getPaths()`
`java.lang.String` `getUnitName()`
`java.lang.String` `getUnitType()`
`void` `setModuleName(java.lang.String name)` Initialize the page from previous informations, if no module name has been specified.

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Field Detail

### UNIT_NAME

    public static final java.lang.String UNIT_NAME

  ATL Module name.

  See Also:
    Constant Field Values

### UNIT_TYPE

    public static final java.lang.String UNIT_TYPE

  ATL File type.

  See Also:
    Constant Field Values

### TYPE_MODULE

    public static final java.lang.String TYPE_MODULE

  The atl module file type.

  See Also:
    Constant Field Values

### TYPE_REFINING_MODULE

    public static final java.lang.String TYPE_REFINING_MODULE

  The atl module file type.

  See Also:
    Constant Field Values

### TYPE_QUERY

    public static final java.lang.String TYPE_QUERY

  The atl query file type.

  See Also:
    Constant Field Values

### TYPE_LIBRARY

    public static final java.lang.String TYPE_LIBRARY

  The library file type.

  See Also:
    Constant Field Values

Constructor Detail

### AtlFileScreen

    public AtlFileScreen(org.eclipse.jface.viewers.ISelection selection)

  Constructor.

  Parameters:
    `selection` - the selection interface.

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  See Also:
    `IDialogPage.createControl(org.eclipse.swt.widgets.Composite)`

### setModuleName

    public void setModuleName(java.lang.String name)

  Initialize the page from previous informations, if no module name has been specified.

  Parameters:
    `name` - the default module name

### generateLaunchConfig

    public boolean generateLaunchConfig()

  Returns `true` if the generateLaunchConfig button is checked.

  Returns:
    `true` if the generateLaunchConfig button is checked

### getPaths

    protected java.util.Map<java.lang.String,java.lang.String> getPaths()

### getUnitName

    public java.lang.String getUnitName()

### getUnitType

    public java.lang.String getUnitType()

### getLibraries

    public java.util.Map<java.lang.String,java.lang.String> getLibraries()

### getInput

    public java.util.Map<java.lang.String,java.lang.String> getInput()

### getOutput

    public java.util.Map<java.lang.String,java.lang.String> getOutput()

Copyright 2007 IBM Corporation and others. All Rights Reserved.